TRENDDocs
API referenceMarket data

Trade tape of a launch

GET
/v1/launches/{id}/trades

Newest first. Page back with nextCursor as before. A full page may have older rows behind it; a short page reached the start.

Path Parameters

id*string

A launch address, its primary mint, or its ticker.

Query Parameters

limit?string

How many trades, 1 to 200. Default 50.

before?string

The nextCursor of the previous page, slot:seq. Returns trades strictly older than it.

Response Body

OK

application/json
  1. response
dnaUnitSol*|

The unit every priceE12 is in. Null when a component is unpriced.

trades*array<>
nextCursor*string|null
curl -X GET 'https://api.dev.trend.fun/v1/launches/3rvGiCyHHkhATZNhSznAhpcXKRZ9788AD6yan1khxwuS/trades?limit=20'
{  "dnaUnitSol": 1,  "trades": [    {      "signature": "53hHZwyHjHcaJ9XSorWxGQg73u2RWry2SZeJHoSDCvAY9tTFDSGQKrU1KuG1UakS7tK7rGwYvNb3Ps5Ji9yVevoT",      "launch": "WDFMqSz16nUiivcuuwiPemDzz2diHKqvKTaCtnTEh3B",      "trader": "9BY8t7XJpq27kDYnzjzZghemtbvkdjPsaeiQ15wTxSP3",      "direction": "sell",      "primaryAmount": "201088062847",      "dnaUnits": "561846681",      "priceE12": "2794032",      "progressBps": 10000,      "slot": 399983,      "seq": 399983,      "at": "2026-10-10T14:17:26.000Z",      "source": "market",      "solLamports": "561846681",      "solValue": 0.561846681,      "solSource": "exact",      "priceSol": 0.000002794032,      "priceUsd": 0.00030717587807999996    },    {      "signature": "aXwJ3jaCVhJvXU9c8ybLbwu3ubGdnnkkyeRD4yUxkVPb1QJahPWA8iD6927fqryjVhNrVnUcpckDPzG2ugpmWnL",      "launch": "WDFMqSz16nUiivcuuwiPemDzz2diHKqvKTaCtnTEh3B",      "trader": "C9VkHN1kJrUH2PDNwBr8ZXJd4U9Eag6yAfzvhCvLsx2G",      "direction": "buy",      "primaryAmount": "10276038575",      "dnaUnits": "30000000",      "priceE12": "2919412",      "progressBps": 10000,      "slot": 399882,      "seq": 399882,      "at": "2026-10-10T14:16:45.000Z",      "source": "market",      "solLamports": "30000000",      "solValue": 0.03,      "solSource": "exact",      "priceSol": 0.000002919412,      "priceUsd": 0.00032096015528    }  ],  "nextCursor": "399867:399867"}